<?php
###############################################
############## Файл: bday.php ################
############## author: XxxDIABLOxxX ###########
############## Продавать запрещено ############

$title = 'Дни рождения';
require_once ('system/function.php');
require_once ('system/header.php');

# guests for error
if(!isset($user['id'])) {
echo err($title, '
Уважаемый посетитель, Вы зашли на сайт как незарегистрированный пользователь.<br/>
Мы рекомендуем Вам зарегистрироваться либо войти на сайт под своим именем.
');
require_once ('../system/footer.php'); exit;
}

# Именинники
# author: XxxDIABLOxxX
echo"<div class='menu'><center>В этот день родились:</center></div>";
echo"<div class='podmenu'>Список именинников:</div>";

$happy = mysql_query("SELECT * FROM `users` WHERE `m_r` = '".date('m_r')."' and `d_r` = '".date('d_r')."' ORDER BY `id` DESC limit 10");
while($hapy = mysql_fetch_assoc($happy))
{
# avatar
echo (empty($hapy['avatar'])?'<div class="menudiv"> <img src="files/ava/net.png" alt="*" style="max-width: 50px; max-height: 50px;">':'<div class="menudiv"><img src="files/ava/'.$hapy['avatar'].'" alt="*" style="max-width: 50px; max-height: 50px;">');
echo ''.nick($hapy['id']).'';
# age day bday
$hapy['age']=date("Y")-$hapy['g_r'];
if (date("n")<$hapy['m_r'])$hapy['age']=$hapy['age']-1;
elseif (date("n")==$hapy['m_r']&& date("j")<$hapy['d_r'])$hapy['age']=$hapy['age']-1;
echo "$hapy[age] лет</div>";
}
          echo'</center></div>';
# page_foot
echo"<div class='podmenu'><center><img src='/images/cake.png' alt='' class='icon'/> Поздравляем!</center></div>";

# Подключаем низ
require_once ('system/footer.php');
?>